From 19016fd9f65374bd27fd5d6bdd1ec4633f2589a5 Mon Sep 17 00:00:00 2001
From: Dave Cooper <open-source@genworks.com>
Date: Fri, 18 Oct 2013 01:08:20 -0400
Subject: [PATCH] made output text files have os-specific names.

---
 test/run-tests.sh | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

diff --git a/test/run-tests.sh b/test/run-tests.sh
index 74f7fe0..5b202f8 100755
--- a/test/run-tests.sh
+++ b/test/run-tests.sh
@@ -143,7 +143,9 @@ do_tests () {
 
 case $(uname) in
     CYGWIN*) os=windows ;;
-    *) os=unix ;;
+    Darwin) os=macos ;;
+    Linux) os=linux ;;
+    *) os=unknown ;;
 esac
 
 # terminate on error
@@ -389,23 +391,23 @@ run_upgrade_tests () {
                   echo "then copy/paste:"
                   echo "(load \"$su\") (asdf-test::da) (test-upgrade $method \"$tag\")"
                   exit 1 ;}
-    fi ; done ; done 2>&1 | tee build/results/${lisp}-upgrade.text
+    fi ; done ; done 2>&1 | tee build/results/${lisp}-${os}-upgrade.text
 }
 run_tests () {
   create_config
   cd ./test/
   echo failure > ../build/results/status
     thedate=`date "+%Y-%m-%d"`
-    rm -f "../build/results/${lisp}.text" || :
+    rm -f "../build/results/${lisp}-${os}.text" || :
     do_tests "$@" 2>&1 | \
-	tee "../build/results/${lisp}.text" "../build/results/${lisp}-${thedate}.save"
+	tee "../build/results/${lisp}-${os}.text" "../build/results/${lisp}-${thedate}.save"
     read a < ../build/results/status
   clean_up
   if [ success = "$a" ] ; then ## exit code
       return 0
   else
      echo "To view full results and failures, try the following command:" >&2
-     echo "     less -p ABORTED build/results/${lisp}.text" >&2
+     echo "     less -p ABORTED build/results/${lisp}-${os}.text" >&2
      return 1
   fi
 }
@@ -418,8 +420,8 @@ test_clean_load () {
     esac
     cd ${ASDFDIR}
     mkdir -p build/results/
-    nop=build/results/${lisp}-nop.text
-    load=build/results/${lisp}-load.text
+    nop=build/results/${lisp}-${os}-nop.text
+    load=build/results/${lisp}-${os}-load.text
     $bcmd $eval \
       '(or`#.(load(string`|test/script-support.lisp|)`:verbose():print())#.(asdf-test::exit-lisp`0))' \
         > $nop 2>&1
@@ -441,7 +443,7 @@ test_load_systems () {
     echo "Loading all these systems: $*"
     $bcmd $eval \
       "(or #.(load(string'|test/script-support.lisp|))#.(asdf-test::with-test()(asdf-test::test-load-systems $*)))" \
-        2>&1 | tee build/results/${lisp}-systems.text
+        2>&1 | tee build/results/${lisp}-${os}-systems.text
 }
 test_interactively () {
     cd ${ASDFDIR}
-- 
1.7.12.4 (Apple Git-37)

